### 5.1.168 vdim

`Syntax:`
  `vdim (` ideal_expression `)`
  `vdim (` module_expression `)`
`Type:`
  int
`Purpose:`
  computes the vector space dimension of the ring, resp. free module, modulo the ideal, resp. module, generated by the initial terms of the given generators. If the generators form a standard basis, this is the same as the vector space dimension of the ring, resp. free module, modulo the ideal, resp. module.
  If the ideal, resp. module, is not zero-dimensional, -1 is returned.
`Example:`

        ring r=0,(x,y),ds;
        ideal i=x2+y2,x2-y2;
        ideal j=std(i);
        vdim(j);
      ==> 4

See codim; degree; dim; ideal; kbase; mult; std.

User manual for Singular version 4.4.1, 2025, generated by texi2html.